EventBufferEvent::read
EventBufferEvent::setCallbacks
EventBufferEvent
PHP Manual

# EventBufferEvent::readBuffer

(PECL event >= 1.2.6-beta)

EventBufferEvent::readBuffer — Drains the entire contents of the input buffer and places them into buf

### Description

public bool EventBufferEvent::readBuffer ( EventBuffer `$buf` )

Drains the entire contents of the input buffer and places them into `buf` .

### Parameters

`buf`

  Target buffer

### Return Values

Returns `TRUE` on success; Otherwise `FALSE`.

### See Also

- EventBufferEvent::read() - Read buffer's data

EventBufferEvent::read
EventBufferEvent::setCallbacks
EventBufferEvent
PHP Manual